Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179535 - Add com.sun.dlight.* modules as friends to cnd modules
Add com.sun.dlight.* modules as friends to cnd modules
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Andrew Krasny
dlight-issues@cnd
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 04:38 UTC by Andrew Krasny
Modified: 2010-01-26 07:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2010-01-15 04:38:49 UTC
As SunStudioExpress will be based on 6.8.1 and not on 6.8 there is a chance to get rid of implementation dependences in com.sun.dlight.* modules. For this we need to add them as friends to some cnd modules:

org.netbeans.modules.dlight.nativeexecution:
com.sun.dlight.spi.impl
com.sun.dlight.attachsupport
com.sun.dlight.connection

org.netbeans.modules.dlight:
com.sun.dlight.branding
com.sun.dlight.spi.impl

org.netbeans.modules.dlight.management:
com.sun.dlight.branding
com.sun.dlight.spi.impl

org.netbeans.modules.cnd.dwarfdump:
com.sun.dlight.spi.impl

org.netbeans.modules.dlight.core.ui:
com.sun.dlight.spi.impl

org.netbeans.modules.dlight.spi:
com.sun.dlight.spi.impl

org.netbeans.modules.dlight.util:
com.sun.dlight.spi.impl
Comment 1 Andrew Krasny 2010-01-15 05:05:16 UTC
small correction.

no need in:
org.netbeans.modules.dlight.core.ui:
com.sun.dlight.spi.impl
Comment 2 Andrew Krasny 2010-01-15 08:29:11 UTC
http://hg.netbeans.org/cnd-main/rev/120f7a7727a4
Comment 3 Andrew Krasny 2010-01-15 09:15:58 UTC
Changes are in place [in the trunk], build is OK. So I believe it can be marked as Verified...
Comment 4 pgebauer 2010-01-19 08:31:32 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/61a44031f961
Comment 5 Alexander Pepin 2010-01-26 07:47:02 UTC
verified in patch1 candidate


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo